%%%%%
%%%%% This problem is used by: 1np,1,triangle-formula
%%%%%
 <% hw_solution %>
(a) Based on the definitions of the sine, cosine, and tangent, what units
must they have?
(b) A cute formula from trigonometry lets you find any angle of
a triangle if you know the lengths of its sides. Using the
notation shown in the figure, and letting $s=(a+b+c)/2$ be half the
perimeter, we have 
\begin{equation*}
  \tan A/2=\sqrt{\frac{(s-b)(s-c)}{s(s-a)}} \qquad .
\end{equation*}
Show that the units of this equation make sense. In other words, check that the
units of the right-hand side are the same as your answer to part a of the question.
